> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cakto.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter Checkout

> Retorna informações detalhadas de um checkout específico

#### Escopo

```bash theme={null}
    read products
```


## OpenAPI

````yaml GET /public_api/products/{product_pk}/checkouts/{id}/
openapi: 3.0.3
info:
  title: Cakto API
  version: 1.0.0
  description: Documentação da API pública do Cakto.
servers:
  - url: https://api.cakto.com.br
    description: Cakto API
security: []
paths:
  /public_api/products/{product_pk}/checkouts/{id}/:
    get:
      tags:
        - products
      description: |-
        Public API for managing checkouts, inherits from CheckoutRetrieveAPI,
        adds OAuth2 authentication and config validation.
      operationId: products_checkouts_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
        - in: path
          name: product_pk
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutPublicRetrieve'
          description: ''
        '401':
          description: Request não autenticado devido à ausência ou invalidez do token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
              examples:
                Token ausente ou inválido:
                  $ref: '#/components/examples/UnauthenticatedErrorExample'
      security:
        - OAuth Token: []
components:
  schemas:
    CheckoutPublicRetrieve:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          title: Nome
          description: Nome do checkout
          maxLength: 255
        config:
          nullable: true
          title: Configuração
          description: Configuração personalizada do checkout em formato JSON
        offers:
          type: string
          readOnly: true
        default:
          type: boolean
          title: Padrão
          description: Define se este é o checkout padrão do produto
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          title: Data de atualização
          description: Data e hora da última atualização
        createdAt:
          type: string
          format: date-time
          readOnly: true
          title: Data de criação
          description: Data e hora de criação
        visits:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          title: Visitas ao checkout
          description: Quantidade de visitas ao checkout
      required:
        - createdAt
        - id
        - name
        - offers
        - updatedAt
    UnauthenticatedError:
      type: object
      properties:
        detail:
          type: string
  examples:
    UnauthenticatedErrorExample:
      summary: Token ausente ou inválido
      description: Token ausente ou inválido
      value:
        detail: As credenciais de autenticação não foram fornecidas.
  securitySchemes:
    OAuth Token:
      type: http
      scheme: bearer
      in: header
      name: Authorization
      description: >-
        Token de autenticação do tipo `Bearer {access_token}`, onde
        `{access_token}` é o token obtido no fluxo de
        [autenticação](/authentication).

````